Debian Bug report logs - #445304
inoperable for disks with unknown disklabel

version graph

Package: gnu-fdisk; Maintainer for gnu-fdisk is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for gnu-fdisk is src:gnu-fdisk.

Reported by: Chris.Knadle@coredump.us

Date: Thu, 4 Oct 2007 18:57:04 UTC

Severity: important

Found in version gnu-fdisk/1.0-1

Fixed in version gnu-fdisk/1.2-1

Done: Xavier Oswald <x.oswald@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#445304; Package gnu-fdisk. Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
New Bug report received and forwarded. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: submit@bugs.debian.org
Subject: inoperable for disks with unknown disklabel
Date: Thu, 4 Oct 2007 14:44:14 -0400
Package: gnu-fdisk
Version: 1.0-1
Severity: important

--- Please enter the report below this line. ---

   Ran gnu-fdisk on a brand new drive, which reports "unknown disklabel" and 
will not operate on the drive, nor show the partition list.  Renders 
package/program unusuable for brand new drives.

   Upstream already contacted via email, since bugtracker for gnu-fdisk 
currently gives an "Access Denied" 403 error.

   -- Chris

-- 

Chris Knadle
Chris.Knadle@coredump.us


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.22.7-686-crk2

Debian Release: lenny/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        uqm.debian.net 
  500 unstable        mirrors2.kernel.org 
  500 sid             www.osrts.info 

--- Package information. ---
Depends               (Version) | Installed
===============================-+-=============
libc6                (>= 2.6-1) | 2.6.1-5
libncurses5            (>= 5.6) | 5.6+20070908-1
libparted1.7-1     (>= 1.7.1-1) | 1.7.1-5.1
libuuid1                        | 1.40.2-1




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#445304; Package gnu-fdisk. Full text and rfc822 format available.

Acknowledgement sent to Peter <peter@bitrunner.com>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #10 received at 445304@bugs.debian.org (full text, mbox):

From: Peter <peter@bitrunner.com>
To: 445304@bugs.debian.org
Subject: probably same bug found in another example
Date: Mon, 12 Nov 2007 16:17:36 +0100
Hi

I think this is the same problem that some users of debian-live has found.
This project builds amongst different outputs an usb-hdd image but
during the build if one have replaced classic fdisk with gnu-fdisk it fails.

During build it mounts an zerofilled image

losetup -f  binary.img
and then it checks it with
fdisk -l -u
with gnu-fdisk we get
Error: Unable to open /dev/loop0 - unrecognized disk label.

but with classic fdisk it gives:
The size and the CHS of the image, and complains of the lack ot
partition table just as it should.

regards
//Peter
-- 

/bitrunner/

*0708-460260*
Andra LĂ„nggatan 28
41327 Göteborg
Sweden





Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#445304; Package gnu-fdisk. (Fri, 09 Jan 2009 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian <mail.kristian@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Fri, 09 Jan 2009 12:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 445304@bugs.debian.org (full text, mbox):

From: Christian <mail.kristian@yahoo.it>
To: 445304@bugs.debian.org
Subject: inoperable for disks with unknown disklabel
Date: Fri, 09 Jan 2009 13:33:39 +0000
I think this bug was solved in the 1.1 release. I make GNU fdisk work
with plain files but I dont test it on /dev/loop.
Please try it and report status!

Thanks!
Christian.






Reply sent to Xavier Oswald <x.oswald@free.fr>:
You have taken responsibility. (Wed, 04 Feb 2009 02:57:51 GMT) Full text and rfc822 format available.

Notification sent to Chris.Knadle@coredump.us:
Bug acknowledged by developer. (Wed, 04 Feb 2009 02:58:12 GMT) Full text and rfc822 format available.

Message #20 received at 445304-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <x.oswald@free.fr>
To: 445304-close@bugs.debian.org
Subject: Bug#445304: fixed in gnu-fdisk 1.2-1
Date: Wed, 04 Feb 2009 02:47:05 +0000
Source: gnu-fdisk
Source-Version: 1.2-1

We believe that the bug you reported is fixed in the latest version of
gnu-fdisk, which is due to be installed in the Debian FTP archive:

gnu-fdisk_1.2-1.diff.gz
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1.diff.gz
gnu-fdisk_1.2-1.dsc
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1.dsc
gnu-fdisk_1.2-1_i386.deb
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2-1_i386.deb
gnu-fdisk_1.2.orig.tar.gz
  to pool/main/g/gnu-fdisk/gnu-fdisk_1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 445304@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <x.oswald@free.fr> (supplier of updated gnu-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Dec 2008 20:42:51 +0100
Source: gnu-fdisk
Binary: gnu-fdisk
Architecture: source i386
Version: 1.2-1
Distribution: unstable
Urgency: high
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Xavier Oswald <x.oswald@free.fr>
Description: 
 gnu-fdisk  - Linux fdisk replacement based on libparted
Closes: 445304 463720 504747 512751
Changes: 
 gnu-fdisk (1.2-1) unstable; urgency=high
 .
   * New upstream release (Closes: #512751)
   * Fix inoperability for disks with unknown disklabel (Closes: #445304)
   * Fix wipes out MBR when used on GPT partitions(Closes: #504747)
   * Fix Segmentation fault (Closes: #463720)
   * Add Build-Depends on texinfo in debian/control
   * Rename debian/patches/pointer to debian/patches/pointer.patch
   * Add debian/pateches/mkinstalldirs.patch for adding the missing
     mkinstalldirs command
   * Update copyright about licences location
   * Remove leftover .pc/.version
Checksums-Sha1: 
 7c6ad4ccf78cfeef418ab8e1d5d3c98ede30b4d3 1208 gnu-fdisk_1.2-1.dsc
 67281e6bc4c12a7553982306d38775a22fded1ae 419344 gnu-fdisk_1.2.orig.tar.gz
 752676e71fba866d933c39ae3513202d5e5396ca 357865 gnu-fdisk_1.2-1.diff.gz
 802e8f96f692eee6e99ab9a8160b75e60c5f01cc 109556 gnu-fdisk_1.2-1_i386.deb
Checksums-Sha256: 
 ed4d0c81f9598529564e65ad9578aabb56445d79e1182fbee5d6f059d70546f8 1208 gnu-fdisk_1.2-1.dsc
 1edef1730243cd40b8cd93e8a561c5056cec62f17c3f7e17b23600aae45d7ebd 419344 gnu-fdisk_1.2.orig.tar.gz
 642f97acb794e61e7e8cfb5794e2011a23f8f0888158cb53c946f4237017a3af 357865 gnu-fdisk_1.2-1.diff.gz
 34c7cf3f5142ada3d3e1a5aff331c5bbf65d09256b21515ee0b52cbc30f6f9c8 109556 gnu-fdisk_1.2-1_i386.deb
Files: 
 55e1b7bdb9bb12e7e4d9a970c557319d 1208 utils extra gnu-fdisk_1.2-1.dsc
 afbbdbe2693e72f5a8d00209d515a838 419344 utils extra gnu-fdisk_1.2.orig.tar.gz
 6e8ef4f1b8f258a6b9d9f79f62a22444 357865 utils extra gnu-fdisk_1.2-1.diff.gz
 c6529dea0ac62a2c5230bf0d36a33ddd 109556 utils extra gnu-fdisk_1.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmI/iYACgkQpDDGqoi7tR4FmwCgsXX1judDRYYHtY9I2l05XGDZ
iQ8AoI0desqm6pdVzbKIkbasVf3KZxOC
=u5Md
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Mar 2009 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:22:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.